Error when enabling hot reloading

#1

I seem to be getting this weird error whenever I try to enable hot reloading. It started happening after I upgraded to Expo 14 and installed the newest version of the XDE. I’ve since upgraded to Expo 15, removed all previous references to Exponent and still this error keeps occurring. If I disable hot-reloading, my app loads fine. Here is the error:

1 Like
#2

This is a bug in the current version of XDE. For now just change the url to have :80 instead of :-1. We’ll fix it in the next release.

#3

Ok cool! How do I change the URL? Because in the XDE the URL doesn’t have any port number after it and I can’t seem to add anything to the URL either.

1 Like
#4

You can enter a url manually in the Expo app using the search bar. Just copy the url and then add :80.

#5

Hi jesse!

I’ve tried to add :80, :80/, :443 - nothing has helped. I still see the error where the URL has port value -1.

#6

Ok I’ll need to release a new version of xde. Will work on that today

#7

Hey @gumkins I just released a new version of XDE that fixes this: https://github.com/expo/xde/releases/tag/v2.16.2

#8

Hi @jesse, thank you!

I can see that size of xde-2.15.2-x86_64.AppImage was 89M, whereas xde-2.16.2-x86_64.AppImage is 130M. Thus there must be a lot of changes, right? Where can I see release notes for a special version?

BTW, why there is no “about” screen where I can check the application version?

#9

The release notes are on github: https://github.com/expo/xde/releases

Not sure why there’s not an about screen on Linux, I’ll look into that. On macOS it has an about screen.